%define enable_check	0
%global subrel 1

%define major		1.0
%define majorminor	1.0
%define bname		gstreamer1.0

Summary: 	GStreamer Streaming-media framework plug-ins
Name: 		%{bname}-plugins-good
Version: 	1.4.3
Release: 	%mkrel 2
License: 	LGPLv2+
Group: 		System/Libraries
Source: 	http://gstreamer.freedesktop.org/src/gst-plugins-good/gst-plugins-good-%{version}.tar.xz
Patch1:     flxdec-bounds1.patch
Patch2:     flxdec-bounds2.patch
Patch3:     flxdec-bounds3.patch
Patch4:     flxdec-bounds4--mga5-v3.patch
URL:		http://gstreamer.freedesktop.org/
BuildRequires: pkgconfig(caca)
BuildRequires: pkgconfig(cairo) >= 1.10.0
BuildRequires: pkgconfig(cairo-gobject) >= 1.10.0
BuildRequires: pkgconfig(flac) >= 1.1.4
BuildRequires: pkgconfig(gdk-pixbuf-2.0) >= 2.8.0
BuildRequires: pkgconfig(gtk+-3.0) >= 3.0.0
BuildRequires: pkgconfig(gtk+-x11-3.0) >= 3.0.0
BuildRequires: pkgconfig(gudev-1.0) >= 143
BuildRequires: pkgconfig(jack) >= 0.99.10
BuildRequires: pkgconfig(libavc1394)
BuildRequires: pkgconfig(libdv) >= 0.100
BuildRequires: pkgconfig(libiec61883) >= 1.0.0
BuildRequires: pkgconfig(libpng) >= 1.2
BuildRequires: pkgconfig(libpulse) >= 2.0
BuildRequires: pkgconfig(libraw1394) >= 2.0.0
BuildRequires: pkgconfig(libsoup-2.4) >= 2.38
BuildRequires: pkgconfig(libv4l2)
BuildRequires: pkgconfig(shout) >= 2.0
BuildRequires: pkgconfig(speex) >= 1.1.6
BuildRequires: pkgconfig(taglib) >= 1.5
BuildRequires: pkgconfig(vpx) >= 1.1.0
BuildRequires: pkgconfig(wavpack) >= 4.40.0
BuildRequires: pkgconfig(xdamage)
BuildRequires: pkgconfig(xext)
BuildRequires: pkgconfig(xfixes)
BuildRequires:	pkgconfig(xv)
BuildRequires:	aalib-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libbzip2-devel
BuildRequires:	gettext-devel
BuildRequires:	pkgconfig(check)
BuildRequires:	pkgconfig(gstreamer-plugins-base-1.0) >= %{version}
BuildRequires:	gstreamer1.0-plugins-base
Obsoletes:	gstreamer1.0-voip < 1.1.90

%ifarch %ix86
BuildRequires:	nasm >= 0.90
%endif

%ifnarch %mips %arm
BuildRequires:	pkgconfig(valgrind)
%endif

Provides:	%{bname}-audiosrc
Provides:	%{bname}-audiosink

# gw this is the default http source:
Recommends:	%{bname}-soup

%description
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plug-ins.

This package contains a set of plug-ins that are considered to have
good quality code, correct functionality, the preferred license (LGPL
for the plug-in code, LGPL or LGPL-compatible for the supporting
library). People writing elements should base their code on these
elements.


%prep
%setup -q -n gst-plugins-good-%{version}
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1 -b ._p4

%build
%configure2_5x  \
	--disable-static \
	--with-package-name='%{_vendor} %{name} package' \
	--with-package-origin='http://www.mageia.org/' \
	--disable-dependency-tracking \
	--enable-experimental
%make

%if %{enable_check}
# FIXME: Some tests on mips are currently failing with timeouts
# so disable them. Moreover, orc is failing to compile stuff
# on arm/mips so orc checks are half-failings (as the backup functions
# are working)
%check
cd tests/check
%ifarch %arm %mips
make check || /bin/true
%else
make check
%endif
%endif

%install
%makeinstall_std

%find_lang gst-plugins-good-%{majorminor}

# Clean out files that should not be part of the rpm.
# This is the recommended way of dealing with it for RH8
find %{buildroot} -name '*.la' -delete

#blino remove development doc since we don't ship devel files
rm -rf %{buildroot}%{_docdir}/docs/plugins/html %{buildroot}%{_datadir}/gtk-doc

%files -f gst-plugins-good-%{majorminor}.lang
%doc AUTHORS COPYING README NEWS
%{_libdir}/gstreamer-%{majorminor}/libgstalaw.so
%{_libdir}/gstreamer-%{majorminor}/libgstalpha.so
%{_libdir}/gstreamer-%{majorminor}/libgstalphacolor.so
%{_libdir}/gstreamer-%{majorminor}/libgstapetag.so
%{_libdir}/gstreamer-%{majorminor}/libgstaudiofx.so
%{_libdir}/gstreamer-%{majorminor}/libgstaudioparsers.so
%{_libdir}/gstreamer-%{majorminor}/libgstauparse.so
%{_libdir}/gstreamer-%{majorminor}/libgstautodetect.so
%{_libdir}/gstreamer-%{majorminor}/libgstavi.so
%{_libdir}/gstreamer-%{majorminor}/libgstcairo.so
%{_libdir}/gstreamer-%{majorminor}/libgstcutter.so
%{_libdir}/gstreamer-%{majorminor}/libgstdebug.so
%{_libdir}/gstreamer-%{majorminor}/libgstdeinterlace.so
%{_libdir}/gstreamer-%{majorminor}/libgstdtmf.so
%{_libdir}/gstreamer-%{majorminor}/libgsteffectv.so
%{_libdir}/gstreamer-%{majorminor}/libgstflv.so
%{_libdir}/gstreamer-%{majorminor}/libgstequalizer.so
%{_libdir}/gstreamer-%{majorminor}/libgstflxdec.so
%{_libdir}/gstreamer-%{majorminor}/libgstgdkpixbuf.so
%{_libdir}/gstreamer-%{majorminor}/libgstgoom.so
%{_libdir}/gstreamer-%{majorminor}/libgstgoom2k1.so
%{_libdir}/gstreamer-%{majorminor}/libgsticydemux.so
%{_libdir}/gstreamer-%{majorminor}/libgstid3demux.so
%{_libdir}/gstreamer-%{majorminor}/libgstimagefreeze.so
%{_libdir}/gstreamer-%{majorminor}/libgstinterleave.so
%{_libdir}/gstreamer-%{majorminor}/libgstisomp4.so
%{_libdir}/gstreamer-%{majorminor}/libgstjpeg.so
%{_libdir}/gstreamer-%{majorminor}/libgstlevel.so
%{_libdir}/gstreamer-%{majorminor}/libgstmatroska.so
%{_libdir}/gstreamer-%{majorminor}/libgstmonoscope.so
%{_libdir}/gstreamer-%{majorminor}/libgstmulaw.so
%{_libdir}/gstreamer-%{majorminor}/libgstmultifile.so
%{_libdir}/gstreamer-%{majorminor}/libgstmultipart.so
%{_libdir}/gstreamer-%{majorminor}/libgstnavigationtest.so
%{_libdir}/gstreamer-%{majorminor}/libgstossaudio.so
%{_libdir}/gstreamer-%{majorminor}/libgstoss4audio.so
%{_libdir}/gstreamer-%{majorminor}/libgstpng.so
%{_libdir}/gstreamer-%{majorminor}/libgstreplaygain.so
%{_libdir}/gstreamer-%{majorminor}/libgstrtp.so
%{_libdir}/gstreamer-%{majorminor}/libgstrtpmanager.so
%{_libdir}/gstreamer-%{majorminor}/libgstrtsp.so
%{_libdir}/gstreamer-%{majorminor}/libgstshapewipe.so
%{_libdir}/gstreamer-%{majorminor}/libgstshout2.so
%{_libdir}/gstreamer-%{majorminor}/libgstsmpte.so
%{_libdir}/gstreamer-%{majorminor}/libgstspectrum.so
%{_libdir}/gstreamer-%{majorminor}/libgsttaglib.so
%{_libdir}/gstreamer-%{majorminor}/libgstudp.so
%{_libdir}/gstreamer-%{majorminor}/libgstvideo4linux2.so
%{_libdir}/gstreamer-%{majorminor}/libgstvideobox.so
%{_libdir}/gstreamer-%{majorminor}/libgstvideocrop.so
%{_libdir}/gstreamer-%{majorminor}/libgstvideofilter.so
%{_libdir}/gstreamer-%{majorminor}/libgstvideomixer.so
%{_libdir}/gstreamer-%{majorminor}/libgstwavenc.so
%{_libdir}/gstreamer-%{majorminor}/libgstwavparse.so
%{_libdir}/gstreamer-%{majorminor}/libgstximagesrc.so
%{_libdir}/gstreamer-%{majorminor}/libgsty4menc.so
%dir %{_datadir}/gstreamer-%{majorminor}/
%dir %{_datadir}/gstreamer-%{majorminor}/presets
%{_datadir}/gstreamer-%{majorminor}/presets/*

%package -n %{bname}-jack
Summary:	GStreamer plug-in for the Jack Sound Server
Group:		Sound/Utilities
Provides:	%{bname}-audiosrc
Provides:	%{bname}-audiosink

%description -n %{bname}-jack
Plug-in for the JACK professional sound server.

%files -n %{bname}-jack
%{_libdir}/gstreamer-%{majorminor}/libgstjack.so

%package -n %{bname}-soup
Summary:	GStreamer HTTP plugin based on libsoup
Group:		System/Libraries
Requires:	%{bname}-plugins >= %{version}

%description -n %{bname}-soup
Plug-in for HTTP access based on libsoup.

%files -n %{bname}-soup
%{_libdir}/gstreamer-%{majorminor}/libgstsouphttpsrc.so

%package -n %{bname}-pulse
Summary:	Pulseaudio plugin for GStreamer
Group:		Sound/Utilities
Requires:	%{bname}-plugins >= %{version}
Requires:	pulseaudio >= 0.9.7

%description -n %{bname}-pulse
This is a GStreamer audio output plugin using the Pulseaudio sound server.

%files -n %{bname}-pulse
%{_libdir}/gstreamer-%{majorminor}/libgstpulse.so

### LIBDV ###
%package -n %{bname}-dv
Summary:	GStreamer DV plug-in
Group:		Video/Utilities
Requires:	%{bname}-plugins >= %{version}

%description -n %{bname}-dv
Plug-in for digital video support using libdv.

%files -n %{bname}-dv
%{_libdir}/gstreamer-%{majorminor}/libgstdv.so

%package -n %{bname}-speex
Summary:	Gstreamer plugin for encoding and decoding Ogg Speex audio files
Group:		Sound/Utilities
Requires:	%{bname}-plugins >= %{version}

%description -n %{bname}-speex
Plug-Ins for creating and playing Ogg Speex audio files.

%files -n %{bname}-speex
%{_libdir}/gstreamer-%{majorminor}/libgstspeex.so

### RAW1394 ###
%package -n %{bname}-raw1394
Summary:	GStreamer raw1394 Firewire plug-in
Group:		System/Libraries
Requires:	%{bname}-plugins >= %{version}

%description -n %{bname}-raw1394
Plug-in for digital video support using raw1394.

%files -n %{bname}-raw1394
%{_libdir}/gstreamer-%{majorminor}/libgst1394.so

### FLAC ###
%package -n %{bname}-flac
Summary:	GStreamer plug-in for FLAC lossless audio
Group:		Sound/Utilities
Requires:	%{bname}-plugins >= %{version}

%description -n %{bname}-flac
Plug-in for the free FLAC lossless audio format.

%files -n %{bname}-flac
%{_libdir}/gstreamer-%{majorminor}/libgstflac.so

### AALIB ###
%package -n %{bname}-aalib
Summary:	Gstreamer plugin for Ascii-art output
Group:		Video/Utilities
Requires:	%{bname}-plugins >= %{version}

%description -n %{bname}-aalib
Plugin for viewing movies in Ascii-art using aalib library.

%files -n %{bname}-aalib
%{_libdir}/gstreamer-%{majorminor}/libgstaasink.so

%package -n %{bname}-caca
Summary:	Gstreamer plugin for Ascii-art output
Group:		Video/Utilities
Requires:	%{bname}-plugins >= %{version}

%description -n %{bname}-caca
Plugin for viewing movies in Ascii-art using caca library.

%files -n %{bname}-caca
%{_libdir}/gstreamer-%{majorminor}/libgstcacasink.so

%package -n %{bname}-vp8
Summary:	GStreamer VP8 plug-in
Group:		Video/Utilities

%description -n %{bname}-vp8
VP8 encoding and decoding plug-in.

%files -n %{bname}-vp8
%{_libdir}/gstreamer-%{majorminor}/libgstvpx.so

%package -n %{bname}-wavpack
Summary:	Gstreamer plugin for encoding and decoding WavPack audio files
Group:		Sound/Utilities
Requires:	%{bname}-plugins >= %{version}

%description -n %{bname}-wavpack
Plug-Ins for creating and playing WavPack audio files.

%files -n %{bname}-wavpack
%{_libdir}/gstreamer-%{majorminor}/libgstwavpack.so


%changelog
* Thu Dec 22 2016 shlomif <shlomif> 1.4.3-2.1.mga5
+ Revision: 1076410
- Fix for MGA#19830 - FLI/FLC/FLX security.

* Wed Oct 15 2014 umeabot <umeabot> 1.4.3-2.mga5
+ Revision: 741982
- Second Mageia 5 Mass Rebuild

* Sun Sep 28 2014 wally <wally> 1.4.3-1.mga5
+ Revision: 731366
- new version 1.4.3

* Sat Sep 27 2014 tv <tv> 1.4.1-3.mga5
+ Revision: 726433
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.4.1-2.mga5
+ Revision: 679986
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Thu Aug 28 2014 ovitters <ovitters> 1.4.1-1.mga5
+ Revision: 668982
- new version 1.4.1

* Tue Jul 29 2014 tv <tv> 1.4.0-2.mga5
+ Revision: 657829
- rebuild with fixed gcc (might fix ff & shotwell)

* Mon Jul 21 2014 fwang <fwang> 1.4.0-1.mga5
+ Revision: 654960
- disable gtk-doc
- 1.4.0

* Sat Apr 19 2014 fwang <fwang> 1.2.4-1.mga5
+ Revision: 616988
- 1.2.4

* Sun Feb 09 2014 fwang <fwang> 1.2.3-1.mga5
+ Revision: 587304
- 1.2.3

* Thu Jan 23 2014 gw666 <gw666> 1.2.2-1.mga4
+ Revision: 567576
- new version (bug #12142)

* Mon Oct 21 2013 umeabot <umeabot> 1.2.0-2.mga4
+ Revision: 536916
- Mageia 4 Mass Rebuild

* Tue Sep 24 2013 ovitters <ovitters> 1.2.0-1.mga4
+ Revision: 485280
- new version 1.2.0

* Sat Sep 21 2013 fwang <fwang> 1.1.90-2.mga4
+ Revision: 483079
- obsolete rather than conflicts

* Sat Sep 21 2013 fwang <fwang> 1.1.90-1.mga4
+ Revision: 483031
- add file list
- add more br
- new version 1.1.90

* Thu Aug 29 2013 fwang <fwang> 1.0.10-1.mga4
+ Revision: 472794
- new version 1.0.10

* Thu Aug 01 2013 fwang <fwang> 1.0.9-1.mga4
+ Revision: 461936
- new version 1.0.9

  + ovitters <ovitters>
    - new version 1.0.8

* Mon Jun 03 2013 fwang <fwang> 1.0.7-2.mga4
+ Revision: 435955
- rebuild for new libpng

* Fri May 24 2013 fwang <fwang> 1.0.7-1.mga4
+ Revision: 425848
- new version 1.0.7

* Sat Jan 12 2013 umeabot <umeabot> 1.0.5-2.mga3
+ Revision: 352760
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 fwang <fwang> 1.0.5-1.mga3
+ Revision: 343523
- update file list

  + ovitters <ovitters>
    - new version 1.0.5

* Thu Dec 20 2012 cjw <cjw> 1.0.4-1.mga3
+ Revision: 333505
- 1.0.4

* Fri Nov 23 2012 fwang <fwang> 1.0.3-1.mga3
+ Revision: 321183
- new version 1.0.3

* Thu Nov 08 2012 colin <colin> 1.0.2-2.mga3.tainted
+ Revision: 316272
- Enable the vp8 plugin (needed for cheese)

* Thu Oct 25 2012 ovitters <ovitters> 1.0.2-1.mga3
+ Revision: 309973
- new version 1.0.2

* Mon Oct 08 2012 fwang <fwang> 1.0.1-1.mga3
+ Revision: 303321
- new version 1.0.1
- drop unused switches

* Tue Sep 18 2012 fwang <fwang> 0.11.99-1.mga3
+ Revision: 295746
- bump req

  + ovitters <ovitters>
    - new version 0.11.99

* Sat Sep 15 2012 fwang <fwang> 0.11.94-2.mga3
+ Revision: 294178
- rebuild for rpm gst1.0 provides

  + ovitters <ovitters>
    - clean spec

* Fri Sep 14 2012 fwang <fwang> 0.11.94-1.mga3
+ Revision: 293808
- update file list
- new version 0.11.94

* Wed Sep 05 2012 ovitters <ovitters> 0.11.93-2.mga3
+ Revision: 288290
- clean spec

* Tue Sep 04 2012 ovitters <ovitters> 0.11.93-1.mga3
+ Revision: 288276
- imported package gstreamer1.0-plugins-good

